SOCK_RELEASE(9)

NAME
sock_release - close a socket

SYNOPSIS

void sock_release (struct socket * sock);

ARGUMENTS

sock
    socket to close

DESCRIPTION

The socket is released from the protocol stack if it has a release callback, and the inode is then released if the socket is bound to an inode not a file.